Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionToolBoxV2

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionToolBox
                      com.trolltech.qt.gui.QStyleOptionToolBoxV2

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionToolBoxV2

extends QStyleOptionToolBox

The `QStyleOptionToolBoxV2` class is used to describe the parameters necessary for drawing a frame in Qt 4.3 or above.

`QStyleOptionToolBoxV2` inherits `QStyleOptionToolBox` which is used for drawing the tabs in a `QToolBox`.

An instance of the `QStyleOptionToolBoxV2` class has type `SO_ToolBox` and version 2. The type is used internally by `QStyleOption`, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own `QStyleOption` subclass and your own styles. The version is used by `QStyleOption` subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

If you create your own `QStyle` subclass, you should handle both `QStyleOptionToolBox` and `QStyleOptionToolBoxV2`.

See Also:
  `QStyleOptionToolBox`, `QStyleOption`

Nested Class Summary
`static class` | `QStyleOptionToolBoxV2.SelectedPosition` This enum describes the position of the selected tab.
`static class` | `QStyleOptionToolBoxV2.StyleOptionVersion` This enum holds the version of this style option
`static class` | `QStyleOptionToolBoxV2.TabPosition` This enum describes tab positions relative to other tabs.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOptionToolBox
`QStyleOptionToolBox.StyleOptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionToolBoxV2()` Contsructs a `QStyleOptionToolBoxV2` object.
`protected` | `QStyleOptionToolBoxV2(int version)`
`` | `QStyleOptionToolBoxV2(QStyleOptionToolBox other)` Constructs a `QStyleOptionToolBoxV2` copy of the `other` style option which can be either of the `QStyleOptionToolBoxV2` or `QStyleOptionToolBox` types.
`` | `QStyleOptionToolBoxV2(QStyleOptionToolBoxV2 other)` Constructs a `QStyleOptionToolBoxV2` copy of the `other` style option.

Method Summary
`static QStyleOptionToolBoxV2` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionToolBoxV2 instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionToolBoxV2[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionToolBoxV2 array.
`QStyleOptionToolBoxV2.TabPosition` | `position()` Returns the tab position of this QStyleOptionToolBoxV2.
`QStyleOptionToolBoxV2.SelectedPosition` | `selectedPosition()` Returns the position of the selected tab in relation to this tab.
`void` | `setPosition(QStyleOptionToolBoxV2.TabPosition position)` Sets the tab position of this QStyleOptionToolBoxV2 to `position`.
`void` | `setSelectedPosition(QStyleOptionToolBoxV2.SelectedPosition selectedPosition)` Sets the position of the selected tab in relation to this tab to `selectedPosition`.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionToolBox
`icon, nativePointerArray, setIcon, setText, text`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionToolBoxV2

    public QStyleOptionToolBoxV2(QStyleOptionToolBox other)

  Constructs a `QStyleOptionToolBoxV2` copy of the `other` style option which can be either of the `QStyleOptionToolBoxV2` or `QStyleOptionToolBox` types.

  If the `other` style option's version is 1, the new style option's position value is set to `QStyleOptionToolBoxV2::Beginning` and `selectedPosition` is set to `QStyleOptionToolBoxV2::NotAdjacent`. If its version is 2, the position `selectedPosition` values are simply copied to the new style option.

  See Also:
    version

### QStyleOptionToolBoxV2

    public QStyleOptionToolBoxV2(QStyleOptionToolBoxV2 other)

  Constructs a `QStyleOptionToolBoxV2` copy of the `other` style option.

### QStyleOptionToolBoxV2

    protected QStyleOptionToolBoxV2(int version)

### QStyleOptionToolBoxV2

    public QStyleOptionToolBoxV2()

  Contsructs a `QStyleOptionToolBoxV2` object.

Method Detail

### setPosition

    public final void setPosition(QStyleOptionToolBoxV2.TabPosition position)

  Sets the tab position of this QStyleOptionToolBoxV2 to `position`.

### position

    public final QStyleOptionToolBoxV2.TabPosition position()

  Returns the tab position of this QStyleOptionToolBoxV2.

### setSelectedPosition

    public final void setSelectedPosition(QStyleOptionToolBoxV2.SelectedPosition selectedPosition)

  Sets the position of the selected tab in relation to this tab to `selectedPosition`.

  The default value is `NotAdjacent`, i.e. the tab is not adjacent to a selected tab nor is it the selected tab.

  See Also:
    `selectedPosition`

### selectedPosition

    public final QStyleOptionToolBoxV2.SelectedPosition selectedPosition()

  Returns the position of the selected tab in relation to this tab.

  The default value is `NotAdjacent`, i.e. the tab is not adjacent to a selected tab nor is it the selected tab.

  See Also:
    `setSelectedPosition`

### fromNativePointer

    public static QStyleOptionToolBoxV2 fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionToolBoxV2 instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionToolBoxV2[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionToolBoxV2 array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD